# Contributing to TAG App Delivery

Thank you for considering contributing to CNCF's TAG App Delivery! Here we'll describe some options you can pursue. Ultimately our work is defined by the passion and commitment of our contributors, so seek something valuable to you and valuable to the community and pursue it! Consider opening [a GitHub issue](https://github.com/cncf/tag-app-delivery/issues/new) to let everyone know about and support your work.

Also consider reviewing [TAG App Delivery's charter](https://github.com/cncf/toc/blob/main/tags/tag-charters/app-delivery.md) to be sure your work is in scope.

## Opportunities

- [Share your experiences](#share-your-experiences)
- [Develop prototypes](#develop-prototypes)
- [Manage a capability domain](#manage-a-capability-domain)
- [Review CNCF projects](#review-cncf-projects)
- [Support TAG activities](#support-tag-activities)
- [Your idea here!](#your-idea-here)

## Share your experiences

A simple and valuable way to support the TAG is to share your organization's experiences with us.

The TAG exists to support CNCF projects and to enable CNCF end users to maximize return on their cloud-native initiatives. To achieve this goal we need to learn what jobs our end users need to get done, the problems our end users face, and the solutions users find to be effective. We want to hear about _your_ experience; we also need help gathering and reporting these to the group and community.

Consider sharing your experience with the group in one of the following ways:

- Put yourself on the agenda for an upcoming TAG meeting to present your organization's journey to cloud-native applications and architecture.
- Record a short video about your organization's experiences and share it in our Slack channel or in GitHub [discussions](https://github.com/cncf/tag-app-delivery/discussions)

You could also help the TAG define the framework for user reports, such as developing standard questions and documenting interviews.

## Develop prototypes

Another way to get started is to review and contribute to the TAG's collection of examples and prototypes. These are intended to guide end users with certain requirements as well as to assess where and how new projects fit.

The TAG maintains [podtato-head](https://github.com/podtato-head) and has proposed other prototypes to help end users. Consider contributing new scenarios using podtato-head or even entire new projects.

If you create a new scenario or sample project, put yourself on the agenda for an upcoming TAG meeting and present it to the group!

## Manage a capability domain

TAG App Delivery covers aspects of many capabilities required for successful delivery and operation of workloads on Kubernetes and clouds. If you're passionate about gathering stakeholders from many projects and vendors and simplifying one of these domains, consider leading development of a capability community and producing prototypes, papers and potentially standards for the domain.

For example, the Platforms and Artifacts working groups were founded in this way.

## Review CNCF projects

CNCF has many existing projects and new ones are submitted to [sandbox](https://github.com/cncf/sandbox/issues) all the time. Help TAG App Delivery understand these projects, their place in the landscape, and their synergies with existing projects! Consider reviewing a new or existing CNCF project related to App delivery and operation and presenting it to the TAG.

Put yourself on the agenda for an upcoming meeting to present one of these project reviews.

## Support TAG activities

The TAG maintains a web site and runs meetups and booths at Kubecon twice a year. There's probably more we can do as well!

If you're passionate about marketing and sharing our work consider supporting our events and website.

## Your idea here!

Ultimately the TAG's work is defined by the passion and values of our team. If you have something valuable to the cloud-native community to share propose it in an issue, discuss it in a meeting, and let's see if and how we can support you.

Thanks in advance for your contributions!
