# CNCF TAG App Delivery

TAG App Delivery focuses on enabling projects and initiatives related to
delivering cloud-native applications, including building, deploying, managing,
and operating them. The TAG produces guidance for and gathers feedback from
cloud app users and developers and provides guidance and coordination to CNCF
projects in the TAG's technical domains.

Full charter here: <https://github.com/cncf/toc/blob/main/tags/tag-charters/app-delivery.md>

## Community

* Home page: <https://community.cncf.io/tag-app-delivery/>
* Slack channel: [#tag-app-delivery](https://cloud-native.slack.com/messages/CL3SL0CP5) in [CNCF Slack](https://slack.cncf.io/)
* Mailing list: <https://lists.cncf.io/g/cncf-tag-app-delivery/topics>

## Meetings

Every two weeks on Wednesday at 11:00 ET ([convert to your local
time](https://dateful.com/convert/eastern-time-et?t=11)).

Meetings are listed on the [main CNCF calendar](https://www.cncf.io/calendar/)
as well as the [CNCF Community Calendar](https://community.cncf.io/tag-app-delivery/).

* Agenda and Notes: <https://docs.google.com/document/d/1OykvqvhSG4AxEdmDMXilrupsX2n1qCSJUWwTc3I7AOs/edit#>
* Zoom Meeting: <https://zoom-lfx.platform.linuxfoundation.org/meeting/98590236563?password=b0335b64-4162-4499-bb61-ff2c7dec2724>
* Recordings of previous meetings:
    * <https://www.youtube.com/playlist?list=PLjNzvzqUSpxJ0JfD6vrdF5bsuBaJQ2BRT>
    * Prior to April 2021: <https://www.youtube.com/playlist?list=PLj6h78yzYM2OHd1Ht3jiZuucWzvouAAci>

## Leads

- Lian Li (@lianmakesthings) (Co-Chair, Term: 2024/04/16 - 2026/04/15)
- Roberth Strand (@roberthstrand) (Co-Chair, Term: 2024/08/05 - 2026/08/04)
- Sarah Christoff (@schristoff) (TL)
- Dylan Page (@genpage) (TL)

## TOC Liaisons
- Katie Gamanji (@kgamanji)
- Lin Sun (@linsun)

## Emeritus Leads
- Alois Reitbauer (@AloisReitbauer)
- Jennifer Strejevitch (@Jenninha)
- Hongchao Deng (@hongchaodeng)
- Alex Jones (@AlexsJones)
- Josh Gavant (@joshgav)
- Karena Angell (@angellk)
- Thomas Schuetz (@thschue)

## Working Groups

The TAG has created the following working groups to investigate and discuss the following topics:

| Working Group                                                                  | Chairs                                                                 | Meeting Time                                                         |
|--------------------------------------------------------------------------------|------------------------------------------------------------------------|----------------------------------------------------------------------|
| [Platforms](https://github.com/cncf/tag-app-delivery/tree/main/platforms-wg)   | [platforms-wg/README.md#chairs](./platforms-wg/README.md#chairs)       | [platforms-wg/README.md#meetings](./platforms-wg/README.md#meetings) |
| [GitOps](https://github.com/cncf/tag-app-delivery/tree/main/gitops-wg)         |                                                                        | Merged into [OpenGitOps meetings](https://github.com/open-gitops/.github/blob/main/CONTRIBUTING.md#meetings) |
| [Air Gapped](https://github.com/cncf/tag-app-delivery/tree/main/air-gapped-wg) |                                                                        | Inactive                                                             |
| [Operator](https://github.com/cncf/tag-app-delivery/tree/main/operator-wg)     |                                                                        | Inactive                                                             |
| [Artifacts](artifacts-wg/README.md)                                            | [artifacts-wg/README.md#chairs](./artifacts-wg/README.md#chairs)       | [artifacts-wg/README.md#meetings](./artifacts-wg/README.md#meetings) |
| [App Development](app-development-wg/README.md)                                | [app-development-wg/README.md#chairs](./app-development-wg/README.md#chairs) | [app-development-wg/README.md#meetings](./app-development-wg/README.md#meetings) |
| [Infrastructure Lifecycle](infra-lifecycle-wg/README.md)                       | [infra-lifecycle-wg/README.md#chairs](./infra-lifecycle-wg/README.md#chairs) | [infra-lifecycle-wg/README.md#meetings](./infra-lifecycle-wg/README.md#meetings) |
