# TAG App Delivery Technical Leads

Technical Leads operate alongside the Co-Chairs to enhance the capabilities of the leadership team, specifically in terms of industry experience, hands-on cloud-native and security experience. Aditionally, they assist in administrative tasks needed for day-to-day operations as well as implmentation of various projects and efforts to make the TAG App Delivery successful.

## Caveats of Technical Leads

* The position of Technical Lead does not guarantee future co-chair nomination
* Just as Co-Chairs the position of a Technical Lead is not a paid
* Technical Leads [have responsibilities](roles.md) to the App Delivery TAG, the leadership team, and the TOC
* Nominations [require TOC approval](https://github.com/cncf/toc/blob/main/tags/cncf-tags.md#elections)

## Nomination Process

Depending on the needs of the community, Technical Leads may be suggested by the TAG's leadership team or directly from the community. After a preliminary internal TAG vote, nominees will be put forward for approval to the TOC.
As of now, the App Delivery TAG has no limit on the amount of technical leads.

Technical Lead nominations will adhere to the [CNCF's TOC described
process](https://github.com/cncf/toc/blob/main/tags/cncf-tags.md#elections).

### Technical Lead Trial Run
To ensure that the nominee is a good fit for the role, TAG leadership may decide to offer a trial run of 3 months to a promising candidate. During this time, the nominee will be given low-stakes responsibilities to demonstrate their capabilities and commitment to the role. At the end of the trial run, the internal TAG vote will be held.

## Technical Lead nomination requirements

Eligible nominees should have experience with some TAG groups (such as WGs) and have actively contributed in a meaningful way. Potential nominees must accept the nomination.

If a given nominee does not meet all requirements, the Co-Chairs may still review the nomination to determine if enough intent and commitment is present to move forward with an endorsement. This discussion will usually take place during the TAG's internal voting process.

A non-exhaustive list of activities an eligible candidate may have participated in:

* authored at least one pull request against the TAG App Delivery repository
* has been active in the community within the last 6 months
* regularly attended the TAG's General or Working Group Meetings within the last 6 months
* engaging with the community via slack or mailinglists
* commenting on PRs and issues to drive suggestions to proposals, define scope, resolve clarity issues, etc.

Nominations must:

* come from someone other than the nominee
* have justification from the nominator regarding the nominee's capabilities

### Justification for nominees

To ensure nominations are thoughtful and supported, in addition to the above
requirements, a justification must enumerate on the nominee's:

* TAG App Delivery Community involvement
* Leadership Skills
* Recommendations for how the nominee will move the TAG forward
* and any known affiliations or group memberships (if applicable)

## Announcing nomination results

The co-chairs will release aggregate information about the nominees at the end of the nomination process once they have been put forward for approval by the TOC. Aggregate information will not include the identity of the nominator.