# Platform-as-a-product Research Guide

The aim of this research project is to understand the degree of product thinking employed by platform builders. Through user interviews we aim to uncover the approaches, mental models, and methodologies that shape the platform. During the synthesis phase, we’ll surface insights about the level of product thinking, the maturity of their platform, and how it relates to their challenges. 

## Persona Types
- Builder: Sr engineering team members directly involved in platform development. [Platform Builder Interview Script](/platform-as-a-product/platform-engineer-interview-script.md)
- Leader: Executives or managers overseeing platform strategy. [Link to Script - WIP]
- Consumer: End-users of the platform within the organization.[Link to Script - TBD] 

## Methodology 
- Sample Size: We’re starting organically through the CNCF platform members who’ve demonstrated an interest in recruiting and interviewing participants. Once we kick-off in earnest, we’re going to check in on the number of interviews conducted and across company size and industry. We’ll use that baseline to decide on how best to leverage the CNCF end user group and the need for more interviews.   
- User Interviews: Primary method of qualitive inquiry.
- Multiple Perspective Analysis: Triangulating between builders, leaders, and consumers should allow for a more comprehensive and accurate understanding of the platform.
- Synthesis: TBD - thematic analysis; comparative analysis; affinity mapping.

## Interviewer Roles & Responsibilities

### Primary Interviewer:
- Lead the interview process
- Ask main questions and guide the conversation flow
- Ensure all key topics are covered
- Manage time and pacing of the interview

### Secondary Interviewer:
- Take detailed notes during the interview
- Observe non-verbal cues and overall dynamics
- Ask follow-up or clarifying questions as needed
- Keep track of time and signal to the primary interviewer if necessary
- Take over for the primary interviewer if they're unable to continue will all interviews (recruit a new secondary interviewer)

## Interview Scheduling 
![PaaP Schedule Process](/platform-as-a-product/assets/PaaP_Interview_Scheduling.png)

## Before the Interview
- Coordinate with your secondary interviewer and run through the interview script
- Test recording setup 

## During the interview

### Intro:
- Introduce yourselves
- Clearly explain the purpose of the interview specific to the persona type. The goal of this research project is to: 
 - Platform builders: understand the current practices of platform teams.
 - Platform leaders: understand the executive point of view on the platform and its relationship to the success of the business.
 - Platform consumers: understand the experience of using the platform.
- Assure confidentiality and obtain consent for recording:
 - Only you and the project leads will have access to the recording. The recording will be deleted at the end of the project. 
 - An anonymized version of the script will be used for synthesis. All identifying information will be removed by the project leads. 

### Best Practises: 
- Difficulty answering: When the interviewee is stuck, don’t jump to fill the silence. Give them a little time to think. Avoid rephrasing as a leading question. Give nudges to get them thinking in the right direction around the intent of the question.
- Tangents and a slide into technical detail: Be mindful of the interviewee going off track or getting into the weeds. Especially since our users are technical and might focus on tools. It’s ok to gently interrupt and re-focus them on your question.
- Don’t be afraid to pull on a thread: If the interviewee said something interesting, especially as it ties back to the overall aims of our research, follow-up and see where it goes. If it’s relevant, it’s not a tangent. 
- Practice active listening, using non-verbal cues to show engagement (nodding, maintaining eye contact).
- When appropriate, summarize key points to ensure understanding and to give the interviewee a chance to clarify or expand.
- But be mindful of time :)

### Closing the interview:
- Thank them for their time and insights
- Ask them if they have any questions
- Let them know how they can stay informed of interview progress and outcomes
 - CNCF platform slack
 - CNCF blog & socials as the project progresses 

## After the Interview
- Debrief with your co-interviewer immediately after
- Review and expand on your notes while the interview is fresh
- Identify key insights and themes
- Conduct a quick retro to identify what went well and what could be improved in the interview process and share in the paap-research-group slack.
- Submit the recording: [Submission Form TBD] 



