# Platform Engineer Script

## Intro
- Thank you for your time!
- Goals: The aim of today's interview is to understand the platform engineering practices at your company. The goal of this project is to gain insights across the community.
- Legal: We will be recording today's interview, and a small group of leads will have access to it during the research process. Only an anonymized transcript will be shared with the wider research team.

## Background
- How long have you been working on platforms?
- How long has the platform you work on existed?
- Are you part of a designated platform team? (**Nudge**: Do they have a self-identifying platform team? Do they have multiple platform teams?)
  - If yes, what’s the size of your platform team?
  - If yes, what other roles are on the team? *need questions when they have PO/PM as it relates to….
- What is the name of your team within the org?
- How is the platform defined in your organization? (**Nudge**: What’s its purpose? Its boundaries?)
- Who are your customers? (**Nudge**: Who are the people and teams that use your platform and its capabilities?)

## Operations and Interfaces
- Describe the last feature or capability that you released to your users.
- Why did you choose to deliver this capability? (**Nudge**: Why did you choose to work on it over other things?)
- Can you walk me through the process of working on this capability, from deciding to work on it to delivery? (**Nudge**: Did you take any steps to understand the problem that you were solving before starting to code)
- How did you know if the new capability was successful? (**Nudge**: Did you use any metrics?)
- Do you communicate the release of new capabilities and platform changes to users? (Nudge: chat, emails, newsletters, website, feedback groups, etc) 
- What other capabilities does your platform provide?
- How can a user access platform capabilities? (**Nudge**: eg. tickets, cli, portals, etc…)
- Do you provide support for using the platform? (**Nudge**: docs (quickstart, howto, knowledgebase), videos, slack, roadshows, etc)

## Planning and Prioritizing
- Can a user request a new capability?
- How do you set your team's priorities? (**Nudge**: Do you use any kind of prioritization framework? How do you define and measure success? Is there any discovery work to understand problems & opportunities that inform priorities?)
- Who’s involved in shaping priorities? (**Nudge**: Which stakeholders are in the conversation and how are decisions made?)
- How often do you revisit your priorities?  (**Nudge**: When was your last planning meeting?)
- How would another team or a platform user know what you're working on? (**Nudge**: do they have a roadmap?)

## Feedback
- Do you collect feedback from platform users?
- When was the last time?
- What form did the feedback take? (**Nudge**: surveys, interviews, etc…)
- What did you do with the collected feedback? (**Nudge**: was there any synthesis to get insights? Did those insights shape prioritization?)

## Platform Success
- What is the goal of your platform? (**Nudge**: Is it tied to overall business goals? Do they have clear objectives? Eg. Dx, retention, compliance, security)
- Do you track the impact of your platform? (**Nudge**: Do they measure important metrics? What are they?)
- What do you do with these metrics? (**Nudge**: Do these measures inform prioritization?)

## Investment
- How does your team get funded? (**Nudge**: What’s the funding model?)
- Do you have executive sponsors? (**Nudge**: Who supports the platform in C Suite?)
- Why do these sponsors support the platform? (**Nudge**: What value do they get from the platform?)

## Conclusion
- Thank them for their time!
- Do you have any questions for us?
- Legal Reminder: Only the anonymized transcript will be shared with the wider research team; all references to you and your company will be removed. Only a small group of leads will have access to the video to ensure the integrity of the transcript for the duration of the project, after which the video will be deleted.
- Join the conversation: "Join the ongoing conversation at TAG App Delivery: https://tag-app-delivery.cncf.io/wgs/platforms/"


