---
title: "CNCF TAG App Delivery"
list_pages: true
---

<div class="row mt-5 mb-3">
    <div class="col-lg-6">
        <img src="/images/tag-app-delivery-horizontal-color.svg" alt="Tag App Delivery logo" style="max-width: 300px;">
    </div>
    <div class="col-lg-6">
        <div class="lead">
        Projects and initiatives related to delivering cloud-native
        applications, including building, packaging, deploying, managing, and
        operating them.
        </div>
    </div>
</div>

The TAG gathers feedback from cloud-native application developers, platform
engineers and end users; shares that feedback with projects in its domain; and
produces guidance and examples for end users.

The TAG supports projects related to its charter
such as those in the [CNCF Landscape](https://landscape.cncf.io/card-mode) under
[application definition and image build](https://landscape.cncf.io/card-mode?category=application-definition-image-build&project=hosted),
[continuous integration and delivery](https://landscape.cncf.io/card-mode?category=continuous-integration-delivery&project=hosted)
and [container registry](https://landscape.cncf.io/card-mode?category=container-registry&project=hosted).

Today there are two active working groups under the TAG -
[WG Platforms](./wgs/platforms/) and [WG Artifacts](./wgs/artifacts/).

## Meetings

Every two weeks on Wednesday at 11:00am ET ([convert to your local
time](https://dateful.com/convert/eastern-time-et?t=11)).

Meetings are listed on the [main CNCF calendar](https://www.cncf.io/calendar/)
as well as the [CNCF Community Calendar](https://community.cncf.io/tag-app-delivery/).

* [Agenda and Notes](https://docs.google.com/document/d/1OykvqvhSG4AxEdmDMXilrupsX2n1qCSJUWwTc3I7AOs/edit#)
* [Zoom Meeting](https://zoom-lfx.platform.linuxfoundation.org/meeting/98590236563?password=b0335b64-4162-4499-bb61-ff2c7dec2724)
* [Recordings of previous meetings](https://www.youtube.com/playlist?list=PLjNzvzqUSpxJ0JfD6vrdF5bsuBaJQ2BRT)

## Leads

- [Thomas Schuetz](https://github.com/thschue) (Chair)
- [Lian Li](https://github.com/lianmakesthings) (Chair)
- [Roberth Strand](https://github.com/roberthstrand) (Chair)

### Emeritus Leads
- [Alois Reitbauer](https://github.com/AloisReitbauer)
- [Jennifer Strejevitch](https://github.com/Jenninha)
- [Hongchao Deng](https://github.com/hongchaodeng)
- [Alex Jones](https://github.com/AlexsJones)
- [Josh Gavant](https://github.com/joshgav)
- [Karena Angell](https://github.com/angellk)

### Additional Resources

- [TAG Charter](https://github.com/cncf/toc/blob/main/tags/tag-charters/app-delivery.md)
- Slack channel: [#tag-app-delivery](https://cloud-native.slack.com/messages/CL3SL0CP5)
    - [Invite yourself to the CNCF Slack](https://slack.cncf.io/)
- [Mailing list](https://lists.cncf.io/g/cncf-tag-app-delivery/topics)

<p class="mt-5"><img src="/images/man-using-laptop.jpg" alt="Man working on computer"></p>
