---
title:  TAG App Delivery at Kubecon Chicago
slug:   tag-app-delivery-at-kubecon-chicago
date:   2023-10-09 12:00:00 +0000
author: Josh Gavant
categories:
- Announcement
tags:
- Event
---

![Kubecon Chicago 2023](/images/kubecon-chicago-2023.jpg)

At Kubecon Chicago TAG App Delivery will bring together maintainers and users of
projects that enable cloud-native application delivery to meet and learn from
each other. The TAG's goals as always are to a) enable application delivery projects
to learn from each other and from cloud application developers and b) make
application delivery faster and more efficient for end users.
 
To this end the TAG will host
[a project meeting](https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/program/project-engagement/#in-person-project-working-session)
on Monday morning at [the Marriott Marquis](https://maps.app.goo.gl/6gczBxScup8Cn6tBA) on Level 4, room name "Probability"; and booth 41 in
[the project pavilion](https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/program/project-engagement/#project-pavilion)
at the conference center on Tuesday, Wednesday and Thursday. At these venues we'll be hosting talks and discussions about app
delivery topics; if you'd like to share an open source project,
a new idea, or just lead an open discussion please let us know by filling out
[this form](https://forms.gle/ZbNxrK5f72otckvj7).
The project meeting will also be [livestreamed to YouTube](https://www.youtube.com/watch?v=NZCmYRVziGY).

Here's that info again:

- Project meeting on Monday 11/6 from 8am-12pm at the [Marriot Marquis](https://maps.app.goo.gl/6gczBxScup8Cn6tBA), Level 4, room name Probability and [YouTube](https://www.youtube.com/watch?v=NZCmYRVziGY).
- Booth and meetup spot at project pavilion booth #P10 on the show floor each afternoon and evening
- Form for presentation and discussion proposals: <https://forms.gle/ZbNxrK5f72otckvj7>

The TAG will also host
[a panel discussion](https://kccncna2023.sched.com/event/eb75a050355eccf96c4f1d77a831f7d4)
on Tuesday at 3:25pm on the relevance of platforms and platform engineering for
efficient cloud-native computing. Please join us!

Stop by our booth to chat about platforms, GitOps, artifacts and other app
delivery topics and learn more about the TAG.

## Pre-day meetup - Monday morning

The schedule for the project meeting on Monday morning will be as follows. The
meeting will be live streamed and recorded too.

Time   | Topic | Presenter
-------|-------|------
08:00  | TAG General Review | [TAG Leads](https://tag-app-delivery.cncf.io/#leads)
09:00  | Sandbox submission review for [Radius](https://radapp.io/) | Jonathan Smith, Microsoft
10:00  | Learn about and discuss [CNOE](https://cnoe.io/) | Nima Kaviani, AWS
11:00  | Workload Specifications: Your Best Friends In Platform Engineering | Atulpriya Sharma, InfraCloud
\-     | Automating the Deployment of Data Workloads to Kubernetes with ArgoCD, Argo Workflows, and Hera | Matt Menzenski, Payit
\-     | Beyond the Bundle: Porter and CNAB | Sarah Christoff, Microsoft
\-     | From Apps to Stacks: Delivering Reusable Analytic Stacks on Kubernetes | Robert Hodges, Altinity

## Booth meetups - Tuesday, Wednesday, Thursday

The schedule for talks at the booth follows:

Date/Time     | Topic
--------------|-------
Nov 7 @ 17:00 | Chat with participants from [Platforms Panel](https://kccncna2023.sched.com/event/eb75a050355eccf96c4f1d77a831f7d4)
Nov 8 @ 15:00 | Talks and discussions
\-            | Speed up your API delivery with Microcks | Yacine Kheddache, Microcks
\-            | How to Build a GitOps Internal Developer Platform on Kubernetes | Christina Andonov, AWS
\-            | KubeConstellations: Platform Engineering Patterns | Ram Iyengar, Cloud Foundry
\-            | AAA framework & DCD capability map for Platform Engineering | Vishal Biyani, InfraCloud

See you in Chicago!
