---
title:  'Practical Paths to Platform Maturity: Insights from KubeCon Paris'
slug:   practical-paths-to-platform-maturity
date:   2024-03-27 12:00:00 +0000
author: Marsh Gardiner
categories:
- Article
tags:
- WG Platforms
- Community Contributions
---

If you were lucky enough to be at KubeCon in Paris last week, you might have heard [Nicki Watt from OpenCredo](https://opencredo.com/authors/nicki-watt/) give a practical walkthrough of the CNCF’s [Platform Maturity Model](https://tag-app-delivery.cncf.io/whitepapers/platform-eng-maturity-model/). Nicki was an early contributor to the development of the model, and she spoke about her experience using it with client organizations.

<iframe width="560" height="315" src="https://www.youtube.com/embed/MiYn60VWtJk?si=VYJDwfl1soJkD1iD" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

Some of the topics that Nicki covers include:

1. **Understanding Starting Points and Goals**: how to assess an organization’s current position within the CNCF Platform Maturity Model aspects, and then how to identify opportunities. This involves surveying existing capabilities and identifying the steps required to meet business needs.
2. **Tailoring Strategies to Context**: ways to adapt the maturity model to an organization’s unique context. Instead of aiming for higher levels of maturity for their own sake, Nicki advocates for work that is appropriate to the organization's specific goals, constraints, and current state.
3. **Center of Excellence Challenges**: insights on overcoming obstacles in advancing the maturity of a platform engineering center of excellence. This includes knowing organizational goals, understanding the current landscape of people, processes, and technology, and ensuring that any tools or systems adopted are API-driven to facilitate integration and flexibility.
4. **Practical Application of the Maturity Model**: Through examples from her experience, Nicki illustrates how the maturity model can guide organizations in enhancing their platform engineering practices. This involves plotting out paths and options that align with achieving business outcomes, based on the model’s framework.

If you are looking for fresh ideas about how to improve your platform initiative, this talk is full of practical strategies and insights for using the [Platform Maturity Model](https://tag-app-delivery.cncf.io/whitepapers/platform-eng-maturity-model/) effectively.
