---
title:  Platform Engineering At KubeCon EU 2024 - Recap
slug:   platform-engineering-at-kubecon-eu-2024-recap
date:   2024-05-06 12:00:00 +0000
author: Atulpriya Sharma
categories:
- Article
tags:
- Event
- WG Platforms
- Community Contribution
---

Exactly a month ago, Kubernetes users and experts gathered in the City of Lights, Paris, for KubeCon’s Europe edition. [With over 12,000 in-person attendees, this KubeCon was amongst the largest in recent times](https://www.cncf.io/blog/2024/03/28/missed-kubecon-cloudnativecon-europe-2024-heres-everything-you-need-to-know/).

While there was A LOT of attention and chatter around Artificial Intelligence and Generative AI, Platform Engineering was well represented. This was the first “Platform Engineering Day,” where enthusiasts had dedicated space to discuss anything and everything related to platform engineering.

In this KubeCon 2024 recap post, I’ll shed light on the platform engineering talks and discussions that took place at KubeCon.

## TAG App Delivery & WG-Platforms at KubeCon EU

The TAG App Delivery is dedicated to supporting projects and initiatives related to delivering cloud-native applications, including building, packaging, deploying, managing, and operating them. One of the initiatives at TAG is the Platforms working group, which is dedicated to supporting, improving, and advancing the platform engineering initiatives.

At KubeCon EU, talks and sessions were organized at the booth to spread awareness about the group's work. You can read more about it in our [previous blog post](https://tag-app-delivery.cncf.io/blog/tag-app-delivery-at-kubecon-eu-2024/). If you’re new to the TAG App Delivery or platforms working groups, you can watch the following talks to know more:

* [Navigating the Depth of App Delivery Through Memes](https://sched.co/1YhhV)
* [TAG App Delivery Platforms Working Group Update](https://sched.co/1ZiQB)

## Platform Engineering Day

First up, I’ll share the amazing talks from the first edition of Platform Engineering Day. I remember entering the hall a little late and seeing the place full. People were standing and listening to the talks.

![Platform Engineering Day - KubeCon EU 2024](/images/platform-engineering-day-kubecon-eu-2024.png)


### Talks

* [TAG App Delivery Platforms Working Group Update](https://colocatedeventseu2024.sched.com/event/1ZiQB) - Colin Griffin from Krumware provides an overview of what the Platforms Working Group is and how to get involved.
* [Sometimes, Lipstick Is Exactly What a Pig Needs!](https://colocatedeventseu2024.sched.com/event/1YFdf/sometimes-lipstick-is-exactly-what-a-pig-needs-abby-bangser-syntasso-whitney-lee-vmware) - Abby Bangser from Syntasso & Whitney Lee from VMware highlight the importance of investing in user interfaces and adoption for internal developer platforms, even more than perfecting the underlying technology.
* [Beyond Platform Thinking at Ritchie Brothers - Build Things No One Expects, in a Place No One Expect](https://colocatedeventseu2024.sched.com/event/1YFe7/beyond-platform-thinking-at-ritchie-brothers-build-things-no-one-expects-in-a-place-no-one-expect-bryan-oliver-thoughtworks-ranbir-chawla-ritchie-bros) - Bryan Oliver from Thoughtworks & Ranbir Chawla from Ritchie Bros discuss how Ritchie Bros has expanded the capabilities of Kubernetes beyond just a delivery platform to drive their core enterprise.
* [Blueprints of Innovation: Engineering Paved Paths for a User-Friendly Developer Platform](https://colocatedeventseu2024.sched.com/event/1YFek/cl-lightning-talk-blueprints-of-innovation-engineering-paved-paths-for-a-user-friendly-developer-platform-ahmed-bebars-the-new-york-times)- Ahmed Bebars from The New York Times - provides valuable insights into the nuances of platform engineering in the cloud, giving a blueprint for implementing strategies in their organizations.
* [Building a Platform Engineering API Layer with kcp](https://colocatedeventseu2024.sched.com/event/1YFfY/building-a-platform-engineering-api-layer-with-kcp-marvin-beckers-kubermatic-gmbh) - Marvin Beckers from Kubermatic GmbH discusses how kcp supercharges platform engineering with a global control plane for all internal services.
* [Breaking the Mold: Unveiling Anti-Architectural Patterns in Platform as a Product](https://colocatedeventseu2024.sched.com/event/1YFgi/cl-lightning-talk-breaking-the-mold-unveiling-anti-architectural-patterns-in-platform-as-a-product-vamshi-krishna-samudrala-american-airlines) - Vamshi Krishna Samudrala from American Airlines - discusses the intricate landscape of designing and implementing effective platforms.
* [Empowering Giants: Guide Your Enterprise with CNOE in Operational Tech Choices](https://colocatedeventseu2024.sched.com/event/1YFgu/cl-lightning-talk-empowering-giants-guide-your-enterprise-with-cnoe-in-operational-tech-choices-engin-diri-pulumi) - Engin Diri from Pulumi introduces the CNOE Framework, and explores how participation can benefit organizations in overcoming challenges.
* [Designing for Success: UX Principles for Internal Developer Platforms](https://colocatedeventseu2024.sched.com/event/1YFhD/designing-for-success-ux-principles-for-internal-developer-platforms-kirsten-schwarzer-octopus-deploy) - Kirsten Schwarzer from Octopus Deploy shows practical UX principles and tools you can use to design an Internal Developer Platform (IDP) that your developers love using.
* [Boosting Developer Platform Teams with Product Thinking](https://colocatedeventseu2024.sched.com/event/1YFhg/boosting-developer-platform-teams-with-product-thinking-samantha-coffman-spotify) - Samantha Coffman from Spotify talks about the effectiveness of taking the product approach for building platforms. 
* [Building an AI-Powered, Paved Road Platform with Cloud-Native OSS](https://colocatedeventseu2024.sched.com/event/1YFi2/building-an-ai-powered-paved-road-platform-with-cloud-native-oss-todd-ekenstam-avni-sharma-intuit) - Todd Ekenstam & Avni Sharma from Intuit share insights on how open-source projects, such as Open Application Model, Istio, Karpenter, Argo Rollouts, can be integrated and extended to build your AI-native application platform.
* [Unlocking Innovation: How NatWest Bank Uses Cloud Native Tools to Deliver Platform as a Product](https://colocatedeventseu2024.sched.com/event/1YFif/unlocking-innovation-how-natwest-bank-uses-cloud-native-tools-to-deliver-platform-as-a-product-chris-plank-natwest-group-derik-evangelista-syntasso) - Chris Plank from Natwest Group & Derik Evangelista from Syntasso discuss how they focused on a GitOps approach and incorporated a range of tools to enable platform users to have a seamless developer experience.
* [To K8S and Beyond – Maturing Your Platform Engineering Initiative](https://colocatedeventseu2024.sched.com/event/1YFj9/to-k8s-and-beyond-maturing-your-platform-engineering-initiative-nicki-watt-opencredo) - Nicki Watt, from OpenCredo shares insights on how the recently released CNCF platform maturity model can be used as part of a toolbox to help guide organisations think through.

### Panel Discussions

* [Panel: Navigating the Path to Platform Engineering Excellence: A Comprehensive Guide](https://colocatedeventseu2024.sched.com/event/1YFjf/panel-navigating-the-path-to-platform-engineering-excellence-a-comprehensive-guide-cortney-nickerson-kubeshop-william-rizzo-suse-abby-bangser-syntasso-areti-panou-sap-se-aparna-subramanian-shopify)- Cortney Nickerson from Kubeshop; William Rizzo from SUSE; Abby Bangser from Syntasso; Areti Panou from SAP SE and Aparna Subramanian from Shopify discussed actionable steps to ensure effective platform engineering and dissect critical considerations for anyone looking to invest in their own platform.
* [Panel: The Platform Rock-Paper-Scissors: Build, Adopt, Buy](https://colocatedeventseu2024.sched.com/event/1YFgB/panel-the-platform-rock-paper-scissors-build-adopt-buy-jorge-lainfiesta-independent-contributor-leena-mooneeram-chainalysis-victor-araujo-wolt-jinhong-brejnholt-saxo-bank-edgaras-petovradzius-lego-group)- Jorge Lainfiesta, Independent Contributor; Leena Mooneeram from  Chainalysis; Victor Araujo from Wolt; Jinhong Brejnholt from Saxo Bank and Edgaras Petovradžius from LEGO share their thoughts on how to wrangle budgets, lock-ins, and licenses to make decisions as you put together the foundations of your platform

## Talks and Panel Discussions at KubeCon

While Platform Engineering was one of the hottest co-located events at KubeCon 2024, talks and panel discussions took place in other co-located events, such as [BackstageCon](https://colocatedeventseu2024.sched.com/overview/type/BackstageCon), [AppDevCon](https://colocatedeventseu2024.sched.com/overview/type/AppDeveloperCon), [ArgoCon](https://colocatedeventseu2024.sched.com/overview/type/ArgoCon), [MultitenancyCon](https://colocatedeventseu2024.sched.com/overview/type/Multi-TenancyCon), and [OpenShift Commons](https://commons.openshift.org/gatherings/kubecon-24-mar-19/) to name a few.

Here’s a round-up of all of them:

### Day 1 - March 20

* [Bloomberg's Journey to a Multi-Cluster Workflow Orchestration Platform](https://kccnceu2024.sched.com/event/1YeLy/bloombergs-journey-to-a-multi-cluster-workflow-orchestration-platform-yao-lin-reinhard-tartler-bloomberg) - Yao Lin & Reinhard Tartler from Bloomberg talk about how they investigated related projects and what inspiration we took from Karmada, OCM, and others to build their own orchestration platform.
* [Building a Large Scale Multi-Cloud Multi-Region SaaS Platform with Kubernetes Controllers](https://kccnceu2024.sched.com/event/1YeML/building-a-large-scale-multi-cloud-multi-region-saas-platform-with-kubernetes-controllers-sebastien-guilloux-elastic)- Sébastien Guilloux from Elastic describes an architecture made of hundreds of Kubernetes clusters, and talks about the challenges we have faced along the way to build a multi-cloud, multi-region platform.
* [Simplified Inner and Outer Cloud Native Developer Loops](https://kccnceu2024.sched.com/event/1YeMJ/simplified-inner-and-outer-cloud-native-developer-loops-oleg-selajev-atomicjar-alice-gibbons-diagrid) - Oleg Šelajev from AtomicJar & Alice Gibbons from Diagrid explore tools to simplify and improve developer productivity through a platform engineering and polyglot approach.
* [Building AI-Ready Platforms - Symphony for Developer and Platform Engineer](https://kccnceu2024.sched.com/event/1YeMm/building-ai-ready-platforms-symphony-for-developer-and-platform-engineer-thomas-vitale-systematic-lize-raes-langchain4j) - Thomas Vitale from Systematic & Lize Raes from LangChain4j share details to bridge the gap between platform engineers and developers, focusing on adapting your platform for AI while providing a smooth developer experience.
* [State of Platform Maturity in the Norwegian Public Sector](https://kccnceu2024.sched.com/event/1YeMj/state-of-platform-maturity-in-the-norwegian-public-sector-hans-kristian-flaatten-norwegian-labor-and-welfare-administration) - Hans Kristian Flaatten from the Norwegian Labor and Welfare Administration uses the newly published CNCF Platform Engineering Maturity Model to measure how mature their platforms are, and what technologies they have chosen.
* [Cultural Shifts: Fostering a Chaos First Mindset in Platform Engineering](https://kccnceu2024.sched.com/event/1YeNB/cultural-shifts-fostering-a-chaos-first-mindset-in-platform-engineering-sayan-mondal-harness-raj-vadheraju-fis) - Sayan Mondal from Harness & Raj Vadheraju from FIS talk about how organizations can enhance their platform engineering practices by leveraging chaos-first principles.

### Day 2 - March 21

* [Unlocking New Platform Experiences with Open Interfaces](https://kccnceu2024.sched.com/event/1YeOr/unlocking-new-platform-experiences-with-open-interfaces-thomas-vitale-systematic-mauricio-salaboy-salatino-diagrid) - Thomas Vitale from Systematic & Mauricio "Salaboy" Salatino from Diagrid explore existing CNCF projects to implement an end-to-end experience to build platforms. 
* [Keeping the Bricks Flowing: The LEGO Group's Approach to Platform Engineering for Manufacturing](https://kccnceu2024.sched.com/event/1YePF/keeping-the-bricks-flowing-the-lego-groups-approach-to-platform-engineering-for-manufacturing-mads-hogstedt-danquah-jeppe-lund-andersen-the-lego-group) - Mads Høgstedt Danquah & Jeppe Lund Andersen from The LEGO Group share their story of how the LEGO Group builds platforms and products that cope with constraints like 24/7 production, limited internet connectivity, high resilience and low latency. 
* [Why Kubernetes Is Inappropriate for Platforms, and How to Make It Better](https://kccnceu2024.sched.com/event/1YePC/why-kubernetes-is-inappropriate-for-platforms-and-how-to-make-it-better-stefan-schimanski-upbound-mangirdas-judeikis-cast-ai-sebastian-scheele-kubermatic). - Stefan Schimanski from Upbound; Mangirdas Judeikis from Cast AI; Sebastian Scheele from Kubermatic - extending Kube, adapting its architecture to be a better fit for a platform. 

### Day 3 - March 22

* [Rapid IDP Capability Development and Automated Testing at Autodesk](https://kccnceu2024.sched.com/event/1YeRp/rapid-idp-capability-development-and-automated-testing-at-autodesk-jesse-sanford-greg-haynes-autodesk) - Jesse Sanford & Greg Haynes from Autodesk show how IDPBuilder can stand up a CNOE reference architecture in minutes, with nothing other than Docker as a pre-dependency.
* [Search at Shopify: Highly Available Platform for Data Resilience and Compliance](https://kccnceu2024.sched.com/event/1YeSk/search-at-shopify-highly-available-platform-for-data-resilience-and-compliance-leila-vayghan-shopify) - Leila Vayghan from Shopify show how Kafka is used for in-order and real-time indexing of millions of documents per minute to achieve high availability

### Panel Discussions and On-Booth Talks

_You see, there was so much chatter about platform engineering at KubeCon!_

Apart from the talks in the main conference, there were panel discussions, and talks at other co-located events and the TAG App delivery booth as well. While we don’t have videos for all these talks, there were some interesting ones around self-service infrastructure with Backstage, and Kubernetes developer experience patterns, to name a few.

Lian, Thomas, Mauricio and Atul participated in a panel discussion - [From Platform Engineering To Developer Success](https://www.youtube.com/watch?v=PfrUObDwvyQ) at the RedHat OpenCommons colocated event.

Based on my experience of attending KubeCons, this has to be one of the most prolific ones when it comes to platform engineering. The talks were engaging, the platform working group was active and the booth was abuzz.

With the [CFPs for the KubeCon NA 2024 already open](https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/program/cfp/), share your interesting proposals on platform engineering and let the world know about the amazing things you’re doing.

## Platform Coffee Meetups - Paris Edition

One of the things that I absolutely love about the platforms working group is the in-person **coffee meetups** that we organize during KubeCons. The first one I attended was in KubeCon Chicago and I loved the concept.

Anyone and everyone is invited to discuss anything and everything about platforms and platform engineering over a cup of coffee. It’s an amazing experience to learn about what is happening in the world of platform engineering and to meet the amazing people behind it.

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">The Platform Lean Coffee meetup in progress. We&#39;ve some REALLY amazing topics that we&#39;re discussing today.<br><br>Kudos to the WG-Platforms group at <a href="https://twitter.com/CNCFTAGApp?ref_src=twsrc%5Etfw">@CNCFTAGApp</a> for this one. <br><br>Also thanks to our sponsors <a href="https://twitter.com/syntasso?ref_src=twsrc%5Etfw">@syntasso</a> <a href="https://twitter.com/krumware?ref_src=twsrc%5Etfw">@krumware</a><a href="https://twitter.com/gitpod?ref_src=twsrc%5Etfw">@gitpod</a> 🙏🏻😇 <a href="https://t.co/NPMHZBlgQo">pic.twitter.com/NPMHZBlgQo</a></p>&mdash; Atulmaharaj 🥑 (@TheTechMaharaj) <a href="https://twitter.com/TheTechMaharaj/status/1770713303167193378?ref_src=twsrc%5Etfw">March 21, 2024</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

This time, we had it for four days, and we had people turning up in great numbers each day. With Croissants, Pain au Chocolat, and Cafe Au Lait, we all discussed everything from what platforms actually mean to discussing the success criteria for platforms - these were some insightful discussions.

## Key Takeaways

This was my second in-person KubeCon and fourth overall. It was also the second time I met the members of the platform working group in person. While we connect over calls monthly and work on exciting things like the [Platform Whitepaper](https://tag-app-delivery.cncf.io/whitepapers/platforms/), [Platform Maturity Model](https://tag-app-delivery.cncf.io/whitepapers/platform-eng-maturity-model/), and ongoing [Platform as a Product paper](https://github.com/cncf/tag-app-delivery/issues/553), meeting in person is way better.

Further, a huge shoutout to the members of the TAG App delivery and WG Platforms who were helpful right from the day KubeCon was announced to being hyperactive during KubeCon. Further, the first Platform Engineering Day was a huge success, and rooms filled with people are a testament to the importance and interest in platform engineering. 

Apart from being a part of a platform engineering panel, I got to listen to some interesting talks on how people navigate the platform engineering maze. I was particularly intrigued by discussions around customized measuring the success of platforms and AI-ready platforms. The one thing I absolutely enjoyed about the discussions was the focus on developer experience and its larger productivity aspects.  

## Join Us!

Being a part of this fun and intellectual group, I can vouch that this is one of the most interactive and helpful groups. Whether you’ve just learned about Platform Engineering or are professional building platforms for years, you’re welcome to join the platform working group and help us shape the future of platforms.

Join our [WG-Platforms Slack](https://cloud-native.slack.com/archives/C020RHD43BP) to get started. Just drop a note to introduce yourself and let us know what you want. Someone from the team will help you get started :)
