---
title: Join the Infrastructure Lifecycle Working Group 💙
slug: join-infrastructure-lifecycle-wg
date: 2024-10-16 12:00:00 +0000
author: Ryan Nowak, Bruno Schaatsbergen, and Jochen Zehnder
categories:
  - Article
tags:
  - Event
  - Infrastructure Lifecycle Working Group
  - Community Contribution
---

Are you looking to influence the future of infrastructure management in cloud-native environments? The [CNCF](https://www.cncf.io/) Technical Oversight Committee [has recently approved](https://github.com/cncf/toc/issues/1383#issuecomment-2328220233) the Infrastructure Lifecycle working group within the [TAG App Delivery](https://tag-app-delivery.cncf.io/), **and we need your expertise\!**

As cloud-native practices evolve, infrastructure needs are becoming more complex. IT professionals now face the challenge of managing workloads across different environments. These include cloud platforms, IoT edge devices, on-premises data centers, and hybrid setups. There were already considerable investments in both open-source and commercial solutions. However, IT professionals still look for standards that address the whole infrastructure lifecycle.

This working group aims to define technology-agnostic best practices in infrastructure lifecycle management. We will deliver a framework for managing the lifecycle of cloud-native infrastructure, with a focus on components such as:

- Infrastructure as Code
- Control Planes
- State Management
- Disaster Recovery
- Automation
- Testing
- Observability

To accomplish our deliverable, we need your help in collaborating with relevant Technical Advisory Groups (TAGs), Working Groups (WGs), vendors, and end-users to integrate domain-specific expertise. Your participation will help us develop practical, real-world solutions that address the diverse needs of the community. Every voice matters, and we warmly welcome and encourage contributions from everyone interested in this field\! 🎤

Co-chaired by [Ryan Nowak](https://github.com/rynowak) (Microsoft), [Bruno Schaatsbergen](https://github.com/bschaatsbergen) (HashiCorp), and [Jochen Zehnder](https://github.com/elft3r) (Inventx) and various active members, the group brings together expertise from leading industry professionals.

## Excited?

Are you a developer interested in shaping the future of cloud-native infrastructure lifecycle management? We’d love for you to be part of it\! 💙 The [charter](https://tag-app-delivery.cncf.io/wgs/infra-lifecycle/charter/) provides more information about the working group’s goals and direction.

- [Bi-weekly meetings](https://zoom-lfx.platform.linuxfoundation.org/meeting/96148400770?password=767d45df-c7cf-4400-9239-e789115cc85e&invite=true): Participate in our discussions on each month’s first and third Fridays.
- [CNCF Slack Channel](https://cloud-native.slack.com/archives/C06USDTN683): Connect with us on the \#wg-infra-lifecycle channel on the [CNCF Slack workspace](https://www.cncf.io/membership-faq/#how-do-i-join-cncfs-slack).

Are you attending [KubeCon \+ CloudNativeCon North America 2024](https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/)? Don’t miss the chance to connect with the co-chairs and members of the Infrastructure Lifecycle Working Group at the TAG App Delivery booth to learn more about our initiatives\!

\- [Ryan Nowak](https://github.com/rynowak), [Bruno Schaatsbergen](https://github.com/bschaatsbergen), and [Jochen Zehnder](https://github.com/elft3r).
