---
title:  "Announcing a Whitepaper on Platforms for Cloud-native Computing"
date:   2023-04-10 01:00:00 +0000
author: Josh Gavant, Abby Bangser
categories:
- Announcement
tags:
- WG Platforms
---

<img src="../assets/platforms-pyramid.png" width=400px />

CNCF’s Platforms working group (WG) is pleased to announce the first release of
a whitepaper to provide guidance and clarity on the nature and benefits of
platforms for cloud-native computing. Download it now as a
[PDF](https://github.com/cncf/tag-app-delivery/raw/main/platforms-whitepaper/v1/assets/platforms-def-v1.0.pdf)
or view it on [our website](https://tag-app-delivery.cncf.io/whitepapers/platforms).

Thank you to our many contributors listed below for their ongoing input and
insights!

We prepared this paper because we've learned that platforms enable organizations
to fully realize the promises of cloud computing. Platforms accelerate
application and service delivery by enabling rapid integration of infrastructure
and application components. They are a step in the ongoing evolution of
enterprise IT, providing core capabilities consistently to enable DevOps-style
efficiency and autonomy across an organization.

The objective of this paper is to educate and advise organizational leaders and
would-be platform builders by describing the values internal platforms offer,
the problems they solve, methods to track their success and attributes and
capabilities they require. It presents how today’s CNCF projects fit together as
the foundation of complete platform initiatives. Finally, it provides guidance
on how to enable platform teams to succeed, how to measure their progress, and
some challenges to prepare them for.

WG Platforms and TAG App Delivery are building on this foundation to provide
more guidance and reduce complexity for cloud application builders and CNCF
project maintainers. Join us via the links below as we expand guidance on
practices like integrating a product mindset in platform teams and applying
standard governance policies; and as we pursue conventions for capabilities like
secrets management, artifact storage, web portals and API frameworks, all
potential parts of a complete platform:

<img src="../assets/platform_components.png" width=600px />

Last but not least, this version of this paper will not be the last! Please
inform future iterations by responding to our survey (to be shared soon!) and
sharing your platform stories with us in CNCF groups and meetups. Hope to talk
to you soon!

## Thank you to our contributors!

As we reach this milestone we want to thank members of CNCF's WG Platforms for all
[their contributions](https://github.com/cncf/tag-app-delivery/commits/main/platforms-whitepaper)
and feedback, particularly the following:

- Abby Bangser
- Abhinav Mishra
- Abi Noda
- Alex Chesser
- Brad Bazemore
- Chris Aniszczyk
- Colin Griffin
- Dash Copeland
- Gopal Ramachandran
- Henrik Blixt
- Johannes Kleinlercher
- Josh Gavant
- Justin Abrahms
- Lian Li
- Mark Fussell
- Mauricio Salatino
- Pascal Fenkam
- Raffaele Spazzoli
- Roberth Strand
- Saim Safdar
- Scott Nasello
- Taras Mankovski
- Thomas Vitale
- Viktor Nagy

## Resources

- Slack: <https://cloud-native.slack.com/archives/C020RHD43BP>
- Work item tracker: <https://github.com/cncf/tag-app-delivery/issues/new/choose>
- Mailing list: <https://lists.cncf.io/g/cncf-tag-app-delivery>
