---
title: 'Announcing the Platform Engineering Maturity Model'
date:   2023-11-01 00:00:00 +0000
author: Abby Bangser, Josh Gavant
categories:
- Announcement
tags:
- WG Platforms
---

The CNCF Platforms Working Group (WG) is excited to present the first release of a platform engineering maturity model which provides a more concrete application of the extremely well received white paper from this past April.

Download now as a [PDF](https://github.com/cncf/tag-app-delivery/raw/main/platforms-maturity-model/v1/assets/platform-eng-maturity-model-v1.0.pdf) or view it on our [website](https://tag-app-delivery.cncf.io/whitepapers/platform-eng-maturity-model/).

We want to thank the almost 50 people who have contributed their time and ideas to make this model reflect the state of companies both small and large and across both fast moving and highly regulated industries; all of them are listed below.

The [platforms white paper](https://tag-app-delivery.cncf.io/whitepapers/platforms/) released in April 2023 was always aimed at providing an executive summary on the what and why behind platforms. This paper successfully defined a north star for many organizations but left questions about how they can progress. This new model presents platform engineering as the practice used to offer an internal platform as a product through investment in all parts of building platforms and their capabilities - the people, processes, policy, and technology which in turn drive business outcomes.

<img src="../assets/platforms-mm-v1-table.png" width=600px /><br/>

While presented as a single model with 5 aspects and 4 levels of maturity, the accompanying paper extends well beyond the black and white tick box exercise sometimes associated with maturity models.

Clear explanations of each aspect and each level within an aspect are provided and  characteristics and scenarios are provided for each model item. These details have been collected from diverse working group members' experiences to provide readers a chance to see real world applications hand in hand with the theory behind each progression. In addition, we want _your_ stories to help decorate this model by including examples that you are happy to share. To introduce a new example, please [follow the contribution guide](https://tag-app-delivery.cncf.io/contribute/platform-maturity-model-examples/) and share your story.

As readers, we encourage you to remember that it is not only costly, but sometimes actively detrimental to blindly follow any model to the highest level of maturity. Instead, we hope you will use this model to identify both your current and desired characteristics, enabling you to target your investment in the areas you will most benefit from.

Finally, we want to take this opportunity to reintroduce the working group as a welcoming community of companies building platforms, consulting on platforms, and creating tools to support platform builders. We have a number of exciting initiatives in flight and would love to see you get involved including fortnightly meetings to share platform building stories and a deep dive paper on Platform as a Product. For more information please see our [website](https://appdelivery.cncf.io) or join the #wg-platforms channel in the [CNCF slack](https://slack.cncf.io/).

## Thank you to our contributors!

As we reach this milestone we want to thank all the reviewers for all their contributions and feedback:

* Abby Bangser (Project lead)
* Abby Kearns
* Abdur Rahman Mungul
* Adam Gardner
* Adrian Cockroft
* Antoine Bermon
* Areti Panou
* Asare Nikansah
* Asare Nkansah
* Atulpriya Sharma
* Blake Romano
* Bob Hong
* Bruno Dias
* Colin Griffin
* Colin Humphreys
* Daniel Bryant
* David Sandilands
* Edward (Ted) Newman
* Jennifer Riggins
* John Dietz
* John Gardner
* Josh Gavant
* Karena Angell
* Kief Morris
* Kirstin Slevin
* Luca Acquaviva
* Manuel Pais
* Marsh Gardiner
* Matt Menzenski
* Michael Coté
* Michael Kestigian
* Nadav Cohen
* Nicki Watt
* Niklas Beinghaus
* Paula Kennedy
* Puja Abbassi
* Puneet Kandhari
* Ram Iyengar
* Ramanujan Iyengar
* Rick Osowski
* Roberth Strand
* Rogerio Angeliski
* Saim Safdar
* Sam Newman
* Simon Forster
* Tsahi Duek
* Victor Lu
* Vijay Chintha
* Viktor “Bika” Nagy
* Vishal Biyani

## Resources

Slack: https://cloud-native.slack.com/archives/C020RHD43BP

Mailing list: https://lists.cncf.io/g/cncf-tag-app-delivery
