---
title:  Getting started with contributing in WG Platforms
slug:   contributing-to-wg-platforms
date:   2023-12-20 12:00:00 +0000
author: Abby Bangser & Atulpriya Sharma
categories:
- Article
tags:
- WG Platforms
---

Similar to the advice on the [TAG App Delivery contributions page](https://tag-app-delivery.cncf.io/contribute/), we highly encourage new faces and new voices in existing forums, including asynchronous chats on [Slack](https://cloud-native.slack.com/archives/C020RHD43BP), [GitHub issues](https://github.com/cncf/tag-app-delivery/issues), and the fortnightly [working group Zoom calls](https://zoom-lfx.platform.linuxfoundation.org/meeting/94326372364?password=0681764d-b152-4295-8bd2-6b9fcf77bff1).

In addition, the WG Platforms has noticed a number of exciting new ideas generated by new joiners and wants to create an avenue for those ideas to be supported and successful, even coming from the newest voices. With that in mind, we have created a path that will help these ideas get the support they need!

## When you have a new idea

You are passionate in the platform engineering space and have an idea on how to share that passion with the CNCF community, that is exciting and we want to help!

Even with this excitement, we understand that contributing your own content for the first time can be confusing or intimidating. Don’t worry, we are a welcoming community and always open to new ideas and thoughts. If you’ve been wanting to be a part of the Platform WG, you’ve come to the right place.

The following process builds on the wider TAG contribution guidelines to provide a lightweight way to ensure that all of these great ideas get the support they deserve within the scope of the WG.

We have had ideas raised from new WG roles (e.g. a proposal for a community outreach role), a new white paper (e.g. the platform as a product white paper), a blog post (e.g. two sided market theory), and more. Some of these have garnered more traction than others, but the overriding criteria that we see for success is building enough momentum within the WG to get reviews for publication. This process is built to support new voices with an advocate who has the skills and experience in this process to make sure new joiner friction doesn’t cause a great idea to be silenced.

If anything about this process is stopping you from contributing, the most important thing is to raise the idea. You can reach out to the WG Platform leads at any time to bounce an idea around and learn more about how the WG can help.

With that in mind, the three steps are:

<img src="../assets/platforms-contribution-stages.jpg" width=400px />

## Step 0 - Idea generation

Before you can publish you will need to have an idea to share! Therefore, you may start by asking “Is my idea suitable for this working group?” While you should always feel empowered to ask, you can first evaluate if your idea relates to platforms and platforming engineering. Some examples of relevant topics including:
* Technical overview or experiences working with platform tools and related technologies
* Experience report or interviews about platform building or using
thought leadership in regards to supporting developer experience and * productivity
* Hands-on DIY posts helping readers learn a tool

Please keep in mind this is not an exhaustive list and are very open to new ideas. It may be easier to enumerate what is not fit for the working group:
* Vendor or other promotional pitches
* Topics not related to application delivery or cloud native technologies
* Discriminatory or abusive content


## Step 1 - Submission

We would encourage you to generate a GitHub issue and open a Slack thread with your idea. You can use the [`community contribution` template](https://github.com/cncf/tag-app-delivery/issues/new?assignees=&labels=proposals&projects=&template=community-contribution.yml&title=%5BCommunity%5D+%3CShort+description%3E) to create an issue and also start a thread on the [CNCF Slack](https://communityinviter.com/apps/cloud-native/cncf) in the [#wg-platforms channel](https://cloud-native.slack.com/archives/C020RHD43BP).

The GitHub issue will present you with a template where you can follow the prompts. First, You must write a descriptive title, then answer each question in the description field. If you find one is not relevant that is OK, write that and there is always a chance to chat more on these things after your initial submission.

For Slack, you can start a new thread in this format: [Proposal]<My_New_Idea>

This submission will act as two things:
1. A call for support from others in the community. You may naturally pick up a project advocate or set of collaborators who are as passionate as you are on the topic.

1. A home for all the work done on this piece of work. You will be updating this frequently to indicate goals, progress, and asks for help.

## Step 2 - Initial acceptance

Once submitted, you can expect a WG lead to respond within a week. They will help clarify any open questions, confirm that the idea is within the scope of this WG, and guide you towards any existing work that you may be able to benefit from or where your idea may fit better if it doesn’t fit best within the WG.

They will also recommend next steps for finding a project advocate so that you have someone to work with to find WG support during the project lifecycle including publishing and publicising the work.

## Step 3 - Drafting & Reviews

Now comes the fun work! You can work with your advocate and the entire WG community to refine your idea and produce the best possible content. Depending on what you are working on this could take days, weeks, or even months. Even if your idea has a scope of work that could last months, we highly suggest you find ways to release smaller content pieces first to generate more interest and also more confidence in the alignment of your work. For example, most blogs are written, reviewed, and published within 1-2 months. These are the types of things your advocate will help support you with.

Once you’ve finished drafting your blog post, you can update the GitHub issue saying it’s ready for review as well as update the Slack with the draft as a Google Doc and tag anyone who you feel can review it. (PS: It’s an open forum so anyone is free to review, but if you feel there’s someone who must have a look at it, tag them)

During the review process, we’ll do the following checks:
* _Basic grammar, syntax, and language check_ - we suggest using a tool like Grammarly before submitting for review.
* _Technical correctness_ - we’ll validate the technical accuracy of what you’ve written.
* _Vendor Pitches/Promotional links_ - we’ll carefully go through the content to ensure there’s no promotional material.

## Step 4 - Final Approval and Publishing

After the review is complete, and there’s a consensus from everyone that this is good to go, the WG lead will initiate the process of raising a PR and merging it.

## What next?

Congratulations, your blog post will be live by now and a handful of people will have already read it. So what next? Well, feel free to share the blog posts on social media, and tag us (TAG App delivery). Also, don’t forget to thank everyone who helped to make the blog post live. And lastly, you should start thinking about your next blog post. So shall start again from the beginning? 
