---
title:  TAG App Delivery at Kubecon EU 2023
date:   2023-04-14 12:00:00 +0000
author: Josh Gavant
categories:
- Announcement
tags:
- Event
---

![Kubecon EU 2023](/images/kubecon-eu-2023.jpg)

At Kubecon EU next week TAG App Delivery will bring together cloud-native
application developers and framework builders to meet each other and share
insights and knowledge. Our goal is to make cloud development better for all by
gathering feedback, finding synergies and guiding both users and projects.

To this end the TAG will host the following lightning talk meetups. The list of
talks and presenters follows below.

- a [pre-day meetup](https://kccnceu2023.sched.com/event/1JWPr/tag-app-delivery-project-meeting) in RAI Room D301, Congress Center
- a booth meetup on Wednesday 4/19 at 3:00pm in booth K1 in the CNCF Project Pavilion in the Solutions Hall
- a booth meetup on Thursday 4/20 at 1:30pm in booth K1 in the CNCF Project Pavilion in the Solutions Hall

In addition to these meetings and talks, the TAG will host booth K1 in the
project pavilion in the first half of each conference day. Stop by any time to
chat with us and learn more about the TAG; initiatives related to operators,
GitOps, Platforms and more; and App Delivery-related CNCF projects.

Also, if you work on an open source project related to app delivery and don't
have your own booth, you're welcome to reserve the TAG booth for a session
describing your project! Please DM [Josh Gavant](https://cloud-native.slack.com/archives/DRTPUJL5V)
on CNCF Slack to coordinate.

## Pre-day meetup - Tuesday

Time   | Topic  | Presenter
-------|--------|------------
13:00  | TAG General Review | [TAG Leads](https://tag-app-delivery.cncf.io/#leads)
13:30  | Lightning Talks on Application Delivery
--     | _Porting CloudFoundry Abstractions on Kubernetes_ | [Ram Iyengar](https://twitter.com/ramiyengar)
--     | _Platform Maturity Model_ | [Abby Bangser](https://twitter.com/a_bangser)
--     | _Project Unox - A platform showcase experiment_ | [Gopal Ramachandran](https://twitter.com/goposky)
--     | _Burden of Responsibility in cloud-native App Development_ | [Colin Griffin](https://www.linkedin.com/in/colin-e-griffin/)
--     | _Tailored Platforms on top of Kubernetes_ | [Mauricio Salatino](https://twitter.com/salaboy)
14:30  | TAG Work in Progress Review | [WG Leads](https://tag-app-delivery.cncf.io/about/#working-groups)
--     | _Platforms_ | Josh Gavant
--     | _Operators_ | Jennifer Streyevitch
--     | _Artifacts_ | Andrew Block
--     | _GitOps_ | Scott Rigby
--     | _Other_
15:30  | Lightning Talks on Application Delivery
--     | _Capabilities of Portals_ | [Josh Gavant](https://www.linkedin.com/in/joshgav/)
--     | _K8sGPT brings superpowers to everyone_ | [Alex Jones](https://twitter.com/alexjonesax)
--     | _Enable secure self-service access to Kubernetes clusters with Paralus_ | [Abhinav Mishra](https://www.linkedin.com/in/abhinav-mishra-1b0093126/)
--     | _Microcks intro: The Open-source Kubernetes Native tool for API Mocking and Testing_ | [Yacine Kheddache](https://www.linkedin.com/in/yacinekheddache/)
--     | _Identity-defined Microservice Networks_ | [Karthik Prabhakar](https://twitter.com/worldhopper)

## Booth meetups - Wednesday and Thursday

As mentioned above, we'll hold meetups with lightning talks on App Delivery topics at booth K1 on Wednesday at 3:00pm and Thursday at 1:30pm.

The schedule for the booth follows:

Date/Time       | Topic | Presenter
----------------|-------|-----------
Apr 19 @ 10:30 - 16:00 | Booth open
Apr 19 @ 15:00 - 16:00 | Meetup and Lightning Talks
-- | _ClickOps over GitOps_ | [Laszlo Fogas](https://twitter.com/laszlocph)
-- | _Implementing the pattern of "as-a-Service" (using Kratix)_ | [Abby Bangser](https://twitter.com/a_bangser)
-- | _Monitoring-As-Code with Crossplane_ | [Matthias Luebken](https://twitter.com/luebken/)
-- | _Using GitOps for AWS Serverless Infrastructure_ | [Carlos Santana](https://www.linkedin.com/in/csantanapr)
-- | _Far Beyond Virtual Clusters_ | [Dario Tranchitella](https://www.linkedin.com/in/dariotranchitella/)
-- | _GitOps made easy for any applications with PipeCD_ | [Khanh Tran](https://twitter.com/khanhtc1202)
Apr 20 @ 10:30 - 14:30 | Booth open
Apr 20 @ 13:30 - 14:30 | Meetup and presentations
-- | _ReleaseOps: GitOps for the People_ | [Lian Li](https://twitter.com/lianmakesthings)
-- | _Composable Platforms with Carvel_ | [Thomas Vitale](https://twitter.com/vitalethomas)
-- | _Making "Tenants" first-class citizens in Kubernetes with Capsule_ | [Dario Tranchitella](https://www.linkedin.com/in/dariotranchitella/)
Apr 21 @ 10:30 - 12:30 | Booth open

## TAG presentation

Last but not least, join TAG leads on Thursday for
[a session](https://kccnceu2023.sched.com/event/e52f9dc38bcbb6504e65d0e6c66170b3/)
describing how applications, operators, GitOps and platforms come together to
enable efficient and delightful cloud-native application delivery.

Hope to see you in Amsterdam!
