---
date: '2024-02-15T13:04:39+01:00'
title: 'TAG App Delivery at Kubecon EU 2024'
author: 'Lian Li'
categories:
- Announcement
tags:
- Event
---

![Kubecon EU 2024](/images/kubecon-eu-2024.png)

KubeCon EU 2024 is only four more weeks away!  
The TAG App Delivery is excited to bring together cloud-native application developers
and framework builders to meet each other and share insights and knowledge.
Our goal is to make cloud development better for all by gathering feedback,
finding synergies and guiding both users and projects.

## TAG booth
You can find the TAG App Delivery at our booth **PP19-A** in the project pavilion,
where we will have lightning talks and showcase the work of the platforms and artifact working groups.

**The CfP for lightning talks is now closed.**

Please note the following requirements to submit a talk propsal
- The topic should be relevant to the TAG app-delivery. If in doubt, refer to [our charter](https://tag-app-delivery.cncf.io/)
- When submitting project presentations, keep in mind that we will only accept CNCF projects, or projects submitted to CNCF sandbox.
- Lightning talks will be a maximum of 10 minutes, a computer display can not be guaranteed.
The call for proposals ends March 3rd. If your talk is accepted, we will notify you by March 9th.
If you did not hear back from us, your submission has unfortunately not been accepted.


## TAG presentations
We will also have two presentations at KubeCon itself.

On Tuesday, Tech Lead Lian Li will give [A Quick Look at the TAG App Delivery](https://sched.co/1aQgL) in the form of a lightning talk.

On Thursday, TAG chair Thomas Schuetz and Tech Lead Lian Li will talk about [the everchanging landscape of cloud-native application delivery](https://sched.co/1YhhV) and how that influences the scope of our work in the TAG.


## Schedule
We will continuously update the below schedule as more information becomes available. You can also subscribe to the [TAG KubeCon Calendar](https://calendar.google.com/calendar/ical/0305ac2530d63cc0a217362e93ff74be61ee91c8afa750cf8b29aaf7ab3b23ab%40group.calendar.google.com/public/basic.ics) to conveniently keep up to date with our activites.


### Tuesday: Co-located Events
Time | Location | Topic  | Presenter
-----|----------|--------|----
07:15 - 08:45 | [Le Bellune](https://www.lebelluneparis.com/) 35 Boulevard Victor 75015 | Platform Lean Coffee | Coffee and pastries sponsored by [GitPod](https://www.gitpod.io/)
09:00 - 19:00 | Level 7.1 Room B | [Platform Engineering Day](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/platform-engineering-day/) | [Abby Bangser](https://linkedin.com/in/abbybangser), [Bryan Oliver](https://www.linkedin.com/in/olivercodes/), [Colin Griffin](https://www.linkedin.com/in/colin-e-griffin/)
09:00 - 17:30 | Level 7.1 Room C | [BackstageCon](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/backstagecon/)
09:00 - 17:35 | Level 7.3 Room S04 | [AppDeveloperCon](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/appdevelopercon/) | [Mauricio Salatino](https://www.linkedin.com/in/salaboy/)
09:00 - 17:30 | Level 7.3 Room N03 |  [ArgoCon](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/argocon/) | [Andre Marcelo-Tanner](https://www.linkedin.com/in/andremarcelotanner/), [Andrew Block](https://www.linkedin.com/in/andrewsblock/), [Scott Rigby](https://www.linkedin.com/in/scottrigby/)
12:30 - 12:37 | Level 7.1 Room D | [A Quick Look at the TAG App Delivery](https://sched.co/1aQgL) | [Lian Li](https://www.linkedin.com/in/lian-li/)
15:30 - 15:50 | [Gaumont Aquaboulevard](https://maps.app.goo.gl/amQ4598RT1ouB5nd8) | [Openshift Commons panel](https://commons.openshift.org/gatherings/kubecon-24-mar-19/) From Platform Engineering to Developer Success
 | [Lian Li](https://www.linkedin.com/in/lian-li/), [Thomas Schuetz](https://www.linkedin.com/in/thschue/), [Atul Sharma](https://www.linkedin.com/in/atulpriyasharma/), [Mauricio Salatino](https://www.linkedin.com/in/salaboy/)

### Wednesday: Conference Day 1
Time | Location | Topic | Presenter
-----|----------|-------|----
07:15 - 08:45 | [Le Bellune](https://www.lebelluneparis.com/) 35 Boulevard Victor 75015 | Platform Lean Coffee | Coffee and pastries sponsored by [Kratix](https://kratix.io)
10:45 - 12:00 | Booth PP19-A | Public Project Meeting | [TAG leads](https://tag-app-delivery.cncf.io/#leads)
12:00 - 13:00 | Booth PP19-A | Open Booth: WG Artifacts | [Andrew Block](https://www.linkedin.com/in/andrewsblock/)
13:00 - 13:10 | Booth PP19-A | OpenGitOps: Who we are and what we do | [Christian Hernandez](https://www.linkedin.com/in/chernandez1982/)
13:17 - 13:27 | Booth PP19-A | The state of GitOps Progressive Delivery 2024 | [Anton Weiss](https://www.linkedin.com/in/antonweiss/)
13:34 - 13:44 | Booth PP19-A | Self-service infrastructure with Backstage | [Engin Diri](https://www.linkedin.com/in/engin-diri/)
13:51 - 14:01 | Booth PP19-A | Revolutionizing Container Image Building with kpack | [Timo Salm](https://www.linkedin.com/in/timosalm/)
14:08 - 14:18 | Booth PP19-A | Kubernetes Developer Experience Patterns | [Lou Bichard](https://www.linkedin.com/in/loujaybee/)
14:25 - 14:35 | Booth PP19-A | Knative for App Delivery | [Ali Ok](https://www.linkedin.com/in/aliok/)
14:42 - 14:52 | Booth PP19-A | Delivering next-gen applications with WebAssembly | [Joonas Bergius](https://www.linkedin.com/in/joonasbergius/)

### Thursday: Conference Day 2
Time | Location | Topic | Presenter
-----|----------|-------|----
07:15 - 08:45 | [Le Bellune](https://www.lebelluneparis.com/) 35 Boulevard Victor 75015 | Platform Lean Coffee | Coffee and pastries sponsored by [Krumware](https://www.krum.io/)
10:30 - 10:40 | Booth PP19-A | ArgoCD GitOps Bridge Pattern | [Carlos Santana](https://www.linkedin.com/in/csantanapr/)
10:47 - 10:57 | Booth PP19-A | Empowering and Accelerating Cloud-Native Development with Buildpacks.io | [Michael Murabito](https://www.linkedin.com/in/mich-murabito/)
11:04 - 11:14 | Booth PP19-A | The BACK Stack | David Murphy
11:21 - 11:31 | Booth PP19-A | Sustainable software development in Kubernetes | [Davide Bianchi](https://www.linkedin.com/in/davide-bianchi-929a74b9/)
11:38 - 11:48 | Booth PP19-A | Bringing an Internal Developer Platform to Life | [Andre Marcelo-Tanner](https://www.linkedin.com/in/andremarcelotanner/)
11:55 - 12:05 | Booth PP19-A | Seamless service tracing with OpenTelemetry | [Javier Fernandez Rodriguez](https://www.linkedin.com/in/javierfr/)
12:12 - 12:22 | Booth PP19-A | Trace It Right: Observability-Powered Testing at the Speed of Light | [Ken Hamric](https://www.linkedin.com/in/ken-hamric-016b1420/)
12:30 - 13:30 | Booth PP19-A | Open Booth: WG Platforms | [David Stenglein](https://www.linkedin.com/in/davidstenglein/), [Bryan Oliver](https://www.linkedin.com/in/olivercodes/)
15:25 - 16:00 | Level 7.3 Room E05 - E06 | [Navigating the Depth of App Delivery Through Memes](https://sched.co/1YhhV) | [Lian Li](https://www.linkedin.com/in/lian-li/), [Thomas Schuetz](https://www.linkedin.com/in/thschue/)

### Friday: Conference Day 3
Time | Location | Topic | Presenter
-----|----------|-------|----
10:30 - 12:30 | Booth PP19-A | Open Booth
