---
date: '2025-03-26T20:04:39+01:00'
title: 'TAG App Delivery at Kubecon EU 2025'
author: 'Dylan Page'
categories:
- Announcement
tags:
- Event
---

![Kubecon EU 2025](/images/kubecon-eu-2025.avif)

KubeCon EU 2025 is only a week away!

The TAG App Delivery is excited to bring together cloud-native application developers
and framework builders to meet each other and share insights and knowledge.
Our goal is to make cloud development better for all by gathering feedback,
finding synergies and guiding both users and projects.

## TAG booth

You can find the TAG App Delivery at our booth **TAG - A** in the project pavilion,
where we will have lightning talks and showcase the work of the platforms and artifact working groups.

You can find a map of the Project Pavilion booths [here](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/features-add-ons/project-engagement/#project-pavilion)

## Schedule

We will continuously update the below schedule as more information becomes available. You can also subscribe to the [TAG KubeCon Calendar](https://calendar.google.com/calendar/ical/0305ac2530d63cc0a217362e93ff74be61ee91c8afa750cf8b29aaf7ab3b23ab%40group.calendar.google.com/public/basic.ics) to conveniently keep up to date with our activites. Times are in BST.

### Tuesday, April 1st: Co-located Events

| Time | Location | Topic | Presenter |
|-----|----------|-------|-----------|
| 07:15 - 08:45 | [Costa Coffee](https://www.excel.london/visitor/food-drink/costa-coffee) , East Entrace, Excel, London | Platform Coffee Meetup | CNCF Platforms Working Group |
| 09:00 - 19:00 | Level 1 Hall Entrance N10 Room F | [Platform Engineering Day](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/platform-engineering-day/) | |
| 09:00 - 17:30 | Level 0 ICC Capital Hall Room I | [BackstageCon](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/backstagecon/) | |
| 09:00 - 17:30 | Level 1 Hall Entrance S10 Room A | [ArgoCon](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/argocon/) | |
| 09:00 - 17:30 | Level 3 ICC Capital Suite 14-16| [OpenTofu Day](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/opentofu-day/) | |
| 16:55 - 17:25 | Level 1 - Hall Entrance N10 - Room H | Panel: Navigating the Platform Revolution: From Bottom-Up Innovation To Product Thinking | [Antoine Bermon](https://www.linkedin.com/in/antoine-bermon/), SNCF; [Kanika Gera](https://www.linkedin.com/in/kanikagera), Adobe ; [Louis Bichard](https://www.linkedin.com/in/loujaybee), Gitpod; [Christina Kraus](https://www.linkedin.com/in/krauschristina), meshcloud |

### Wednesday, April 2nd: Conference Day 1

| Time | Location | Topic | Presenter |
|-----|----------|-------|-----------|
| 07:15 - 08:45 | [Costa Coffee](https://www.excel.london/visitor/food-drink/costa-coffee) , East Entrace, Excel, London | Platform Coffee Meetup | CNCF Platforms Working Group |
| 10:30 - 12:00 | Booth TAG-A | Open Booth | TAG Leads |
| 12:00 - 12:10 | Booth TAG-A | Lightning Talk - "Lightning-Fast Local AI App Development with Podman" | [Daniel Oh](https://www.linkedin.com/in/daniel-oh-083818112/) |
| 12:15 - 12:25 | Booth TAG-A | Lightning Talk - "Build Your Perfect App Delivery Model: Customizing Standards with Crossplane XRDs" | [Sarah Murphy](https://www.linkedin.com/in/murph83) |
| 12:30 - 12:40 | Booth TAG-A  | Lightning Talk - "Platform Engineering untold thruths: is it just an infrastructure matter?" | [Graziano Casto](https://www.linkedin.com/in/castograziano/) |
| 12:45- 12:55 | Booth TAG-A  | Lightning Talk - "Platformization: Perceiving Platform Patterns" |[Ram Iyengar](https://www.linkedin.com/in/ram-iyengar) |
| 13:00 - 14:30 | Booth TAG-A | Platforms Working Group | WG Leads |
| 14:30- 16:00 | Booth TAG-A | App Development Working Group | WG Leads |
| 16:00 - 18:00 | Booth TAG-A | Open Booth | TAG Leads |
| 18:00- 20:00 | Booth TAG-A | KubeCrawl | TAG Leads |

### Thursday, April 3rd: Conference Day 2

| Time | Location | Topic | Presenter |
|-----|----------|-------|-----------|
| 07:15 - 08:45 | [Costa Coffee](https://www.excel.london/visitor/food-drink/costa-coffee) , East Entrace, Excel, London | Platform Coffee Meetup | CNCF Platforms Working Group |
| 10:30 - 12:00 | Booth TAG-A | Open Booth | TAG Leads |
| 12:00 - 12:10 | Booth TAG-A | Lightning Talk - "Scale Before It Hurts: KEDA for Data-Intensive Apps" | [Graziano Casto](https://www.linkedin.com/in/castograziano/) & [Alessandro Cannarella](https://www.linkedin.com/in/alessandro-cannarella/) |
| 12:12 - 12:22 | Booth TAG-A | Lightning Talk - "Extensibility and Portability with Radius for Platform Engineers" | Johnathan Smith |
| 12:25 - 12:35 | Booth TAG-A | Lightning Talk - "Is there a tool for this? - App Developer Edition" | [Alexandra Aldershaab](https://www.linkedin.com/in/housa) |
| 12:37 - 12:47 | Booth TAG-A | Lightning Talk - "Your Application Delivery Ran Over My CI/CD: Expanding Beyond Pipeline Thinking" | [Luke Philips](https://www.linkedin.com/in/lukephilips) |
| 12:50 - 13:00 | Booth TAG-A | Lightning Talk - "GitOps for Everything with Pluggable PipeCD" | [Tetsuya Kikuchi](https://www.linkedin.com/in/tetsuya-kikuchi/) |
| 13:00 - 14:30 | Booth TAG-A | Infrastructure Lifecycle Working Group | WG Leads |
| 14:30- 16:00 | Booth TAG-A | Artifacts Working Group | WG Leads |
| 16:00 - 17:00 | Booth TAG-A | Open Booth | TAG Leads |

### Friday, April 4th: Conference Day 3

| Time | Location | Topic | Presenter |
|-----|----------|-------|-----------|
| 07:15 - 08:45 | [Costa Coffee](https://www.excel.london/visitor/food-drink/costa-coffee) , East Entrace, Excel, London | Platform Coffee Meetup | CNCF Platforms Working Group |
| 10:30 - 12:00 | Booth TAG-A | Open Booth | TAG Leads |
| 12:00 - 12:10 | Booth TAG-A  | Lightning Talk - "Continuous Promotion - Take full advantage of your Cloud Native Infrastructure" | [Christian Hernandez](https://www.linkedin.com/in/chernandez1982) |
| 12:15 - 12:25 | Booth TAG-A  | Lightning Talk - "Navigating the Cloud-Native Inner and Outer Loop for Developer Productivity" | [Mona Borham](https://www.linkedin.com/in/mona-borham) |
| 12:30 - 14:00 | Booth TAG-A | Open Booth | TAG Leads |
