---
date: '2024-11-01T13:04:39+01:00'
title: 'TAG App Delivery at Kubecon NA (Salt Lake City) 2024'
author: 'Colin Griffin'
categories:
- Announcement
tags:
- Event
---

![Kubecon NA 2024](/images/KCCNCNA2024.png)

KubeCon NA 2024 is almost here!  
The TAG App Delivery is excited to bring together cloud-native application developers
and framework builders to meet each other and share insights and knowledge.
Our goal is to make cloud development better for all by gathering feedback,
finding synergies and guiding both users and projects.

## TAG booth

You can find the TAG App Delivery at our booth **Kiosk 4A** in the project pavilion,

## Lightning Talks

Will have lightning talks and showcase the work of the platforms and artifact working groups at the TAG booth.

If you would like to submit a Lightning Talk, please use this form: [Lightning Talk Submission Form](https://forms.gle/Bd1niXk9kxnctxtBA)

Please note the following requirements to submit a talk proposal

- The topic should be relevant to the TAG app-delivery. If in doubt, refer to [our charter](https://tag-app-delivery.cncf.io/)
- When submitting project presentations, keep in mind that we will only accept CNCF projects, or projects submitted to CNCF sandbox.
- Lightning talks will be a maximum of 10 minutes, a computer display can not be guaranteed.

The call for proposals ends November 8th. If your talk is accepted, we will notify you by November 9th.
If you did not hear back from us, your submission has unfortunately not been accepted.

## Schedule

We will continuously update the below schedule as more information becomes available. You can also subscribe to the [TAG KubeCon Calendar](calendar) to conveniently keep up to date with our activites.

### Tuesday: Co-located Events

Time | Location | Topic  | Presenter
-----|----------|--------|----
7:15am MST | [Cupla Coffee](https://maps.app.goo.gl/DEvS6igyhQkJbU359) - 77 W 200 S, Salt Lake City, UT 84101 | "Platform Coffee" meetup | Platforms WG (sponsor TBD)
9:10am MST | Salt Palace - Level 1 - Grand Ballroom G | [Platform Working Group Update](https://sched.co/1jKMS) | Platform Working Group Leads
10:40am MST | Salt Palace - Level 1 - Grand Ballroom G | [Portals and Platforms, Two Ps in a Pod? How Good Interfaces Make for Good Operability](https://sched.co/1izqS) | Jorge Lainfiesta, Rootly & Abby Bangser, Syntasso
11:15am MST | Salt Palace - Level 1 - Grand Ballroom G | [Lightning Talk: Are You Really Ready to Adopt a Platform?](https://sched.co/1izqv) | Atulpriya Sharma, InfraCloud Technologies

### Wednesday: Conference Day 1

Time | Location | Topic | Presenter
-----|----------|-------|----
7:15am MST | [Cupla Coffee](https://maps.app.goo.gl/DEvS6igyhQkJbU359) - 77 W 200 S, Salt Lake City, UT 84101 | "Platform Coffee" meetup | Platforms WG (sponsor TBD)
11:15am MST | Hyatt Regency - Level 2 - Salt Lake Ballroom C | [The State of Cloud Native Business Value in 2024](https://sched.co/1hovP) | Danielle Cook, StackGen; Simon Forster, Stackegy; Catherine Paganini, Buoyant; Colin Griffin, Krumware; Robbie Glenn, Glennium
10:45am - 3:15pm | Kiosk 3B | [Microcks](https://github.com/microcks/microcks), The open source, cloud native tool for API Mocking and Testing | Yacine Kheddache, Laurent Broudoux and community members 
12:00pm - 1:30pm MST | [Platforms Working Group](https://tag-app-delivery.cncf.io/wgs/platforms/) | Platform Working Group Leads
1:35pm MST | Kiosk 4A | Lighning Talk - "You Can Score It! Shift Down to the Platform. Do Not Shift Left to the Developers." | Mathieu Benoit
1:55pm MST | Kiosk 4A | Lighning Talk - "A Quick Dive into ArgoCD Sync Phases & Waves" | Colin Lacy
2:15pm MST | Kiosk 4A | Lighning Talk - "What's Inside The Platform Fanny Pack?" | Ram Iyengar
2:30pm - 4:00pm MST | [Artifacts Working Group](https://tag-app-delivery.cncf.io/wgs/artifacts/) | Artifacts Working Group Leads
5:25pm MST | Salt Palace - Level 1 - Grand Ballroom H | [Creating Paved Paths for Platform Engineers](https://sched.co/1i7mT) | Ritesh Patel, Nirmata; Abby Bangser, Syntasso; Viktor Farcic, Upbound; Nicholas Morey, Akuity; Praseeda Sathaye, Amazon

### Thursday: Conference Day 2

Time | Location | Topic | Presenter
-----|----------|-------|----
7:15am MST | [Cupla Coffee](https://maps.app.goo.gl/DEvS6igyhQkJbU359) - 77 W 200 S, Salt Lake City, UT 84101 | "Platform Coffee" meetup | Platforms WG (sponsor TBD)
12:00pm - 1:30pm MST | [App Development Working Group](https://tag-app-delivery.cncf.io/wgs/app-development/) | App Development Working Group Leads
1:45pm - 5:00pm | Kiosk 5B | [Microcks](https://github.com/microcks/microcks), The open source, cloud native tool for API Mocking and Testing | Yacine Kheddache, Laurent Broudoux and community members 
1:35pm MST | Kiosk 4A | Lighning Talk - "A deep dive in Guidewire's Cloud Platform with CrossPlane and Kubevela" | Jérôme Guionnet
1:55pm MST | Kiosk 4A | Lighning Talk - "Another Platform Engineering Story: Migration of Legacy PaaS and the Platform Team's Contributions" | Hiroshi Hayakawa
2:15pm MST | Kiosk 4A | Lighning Talk - "Platform as a Product: Starting with the Personas" | Valentina Rodriguez Sosa
2:30pm MST | Salt Palace - Level 3 - 355 E | [Applications, Platforms, and Infrastructure Oh My! What Is the TAG App Delivery Doing to Support You](https://sched.co/1howi) | Daniel Oh, Red Hat; Roberth Strand, Sopra Steria; Ryan Nowak, Microsoft; Abby Bangser, Syntasso

### Friday: Conference Day 3

Time | Location | Topic | Presenter
-----|----------|-------|----
7:15am MST | [Cupla Coffee](https://maps.app.goo.gl/DEvS6igyhQkJbU359) - 77 W 200 S, Salt Lake City, UT 84101 | "Platform Coffee" meetup | Platforms WG (sponsor TBD)
12:00pm - 1:30pm MST | [Infrastructure Lifecycle Working Group](https://tag-app-delivery.cncf.io/wgs/infra-lifecycle/) | Infrastructure Lifecycle Working Group Leads
11:00am MST | Salt Palace - Level 1 - Grand Ballroom H | [Platform Engineering in Financial Institutions: The Practitioner Panel](https://sched.co/1i7rP) | Paula Kennedy, Syntasso; Chris Plank, NatWest Bank; Suhail Patel, Monzo; Jinhong Brejnholt, Saxo Bank; Rachael Wonnacott, Fidelity International
