---
title: Community Post Guidelines
list_pages: false
weight: 100 # Makes sure this sorts to the top of the list always
---

## Introduction

This policy outlines the guidelines for accepting, reviewing, and publishing blog posts on our platform: https://tag-app-delivery.cncf.io/blog.

Blog posts are an opportunity to foster a diverse and vibrant discussion environment, showcasing a variety of viewpoints from members and the wider open source community.

It is important to note that this TAG is not itself a publishing house, and therefore the main focus of the group is to generate conversation and collaboration which will be true for blog posts as well, though to a lesser degree than for writing which is deemed a TAG official publication.

## Representation of Diverse Viewpoints

### Community Voices
Our blog serves as a collective of diverse viewpoints from our community members. We believe in representing a wide array of thoughts, experiences, and perspectives.

### Inclusion of Disclaimer
Each post will include a short disclaimer, This blog post represents the viewpoint of its author(s) and does not necessarily reflect an official position or perspective of the TAG or any subsidiary working group. See this blog and contributions guidelines for more information on how you too can contribute." If the blog includes information about the authors current workplace or otherwise affiliated products, this must also be disclosed in the disclaimer.

## Submission, Review and Acceptance Criteria

### Submission Process
Contributors are required to submit their blog posts as pull requests (PRs).

### Review Process
The TAG content is open for review from anyone with good intentions across the open source community. These reviews can be used to refine the content and help TAG leaders determine if the blog will be posted.

### Acceptance Criteria
At least one TAG leader must approve the blog before it can be published. A non-exhaustive list of things the TAG leadership will evaluate is:
* Alignment with our community’s ethos and values.
* Relevance and usefulness to our community members.
* Independence from any one vendor or product.
* Originality and clarity of content.

## Criteria for Rejection

### Misalignment with Group Positions
Submissions fundamentally misaligned with the positions or values upheld by our group will be rejected. With this said, blogs are encouraged to have independent ideas which may at times challenge previous TAG publications, blog posts, or other content. This is not inherently an issue if the challenge is done using respect and detailed explanation of the data and experiences that led to this change.

### Non-Adherence to Community Standards
Submissions failing to meet our community standards in terms of content quality, relevance, or ethical considerations will be subject to rejection. Content must also adhere to the [CNCF Code of Conduct](https://github.com/cncf/foundation/blob/main/code-of-conduct.md).

### Feedback and Appeals
In cases of rejection, contributors will be provided with feedback. An appeal process is available for reconsideration, subject to the discretion of our TAG leadership team.

## Publication Process

### Editing and Finalization
Blog posts may undergo minor editing for clarity, grammar, and format consistency before publication. This will be done through PR reviews, suggestions, or adding a commit to the PR.

### Notification of Acceptance
Contributors will be notified of the acceptance of their submission through a GitHub PR approval.

### Publication and Promotion
Published posts will be shared on our platform and may be promoted through our social media channels and newsletters. Publication is expected to occur at the date of approval unless a specific date has been previously requested by the author and agreed with the TAG leadership team.

## Cross-Posting Policy

We actively encourage and support cross-posting content from personal or external blogs. This initiative helps in amplifying diverse voices and perspectives within our community.

Cross-posts must either start on this platform or be published to this platform within 7 calendar days. If your intent is to publish to the community platform blog, we recommend having a publishing window approved before that post is published elsewhere, so that a link to the cross-post may be added. If 7 days are exceeded, the community post may be rejected as unoriginal content.

## Amendments to the Policy

This policy is subject to change at the discretion of the group's leadership, with the aim of continually adapting to the evolving needs of our community and maintaining the highest standards of content quality and diversity.

## Acknowledgement

By submitting content to our platform, contributors agree to abide by the terms outlined in this policy.
