---
title: Localizations
list_pages: false
---

## Introduction

Part of what makes the CNCF so amazing is the diversity of people involved and supported by the community. One way we make this community more inclusive is by providing localizations for content where possible. Localizations of course require native speakers to create and maintain them and this post is about how you can do that within the TAG App Delivery content.

## Guidelines

While each localization is unique, we encourage you to familiarlize yourself with [past localization PRs](https://github.com/cncf/tag-app-delivery/issues?q=label%3Alocalization+) and the [Kubernetes SIG-Docs localization documentation](https://kubernetes.io/docs/contribute/localization) for general guidelines and lessons learned.

The SIG-Docs team has a much broader remit than this TAG requires, so be aware that the workflow including slack channels, opening PRs, and website owner reviews will be done via the same process as all other TAG postings, just with the added requirement of a native language speaker review.

It is worth reiterating what the SIG-Docs team has stated:

> Localizing all the Kubernetes documentation is an enormous task. It's okay to start small and expand over time.

Whether you start with a single white paper, or want to expand on an existing language to include more blog posts or content, every little bit will make a difference and is appreciated!

## Contributing

To get started, please [open an issue](https://github.com/cncf/tag-app-delivery/issues/new/choose) on the TAG App Delivery GitHub repository using the `Website Localization` issue type.

This issue type will provide context on the scope of your work and provide guidance on the steps required to complete a localizations.
