---
title: Platform Maturity Model examples
list_pages: false
---

## Introduction

Platform engineering is still an emerging space. The Maturity Model was written and reviewed by over 50 individuals from different countries, business domains, company sizes and experiences. That being said, it is still a reflection of the group who wrote it.

This contribution type is an opportunity to expand that number even more. To add real life examples to the model giving richer details to the current levels.

## Guidelines

This contribution type is not asking for a change in the model structure or wording. Therefore any suggestions that would change the content, wording, or even formatting of the model and the descriptions of the aspects should be submitted through the more generic contribution format.

What this is doing is enabling and encouraging end users (companies who do not profit from the implementation or sale of cloud native tooling solutions) to share their experiences in relation to the maturity model.

The intention of these contributions is to make these examples more grounded in concrete examples, ideally supplemented by context (e.g. company size, business domain, etc) and more reading (e.g. links to company blogs).

## Contributing

To get started, review [the current model](https://tag-app-delivery.cncf.io/whitepapers/platform-eng-maturity-model/) are scroll down to the `Model Detail` section. In this section there is a page per aspect, and each level provides `Example Scenario` section (e.g. [Investment Provisional level](https://tag-app-delivery.cncf.io/whitepapers/platform-eng-maturity-model/#example-scenarios)).

We are asking for community members to please open a [Pull Request (PR)](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests) adding your example to the current model version. PRs should be limited to just examples, as other changes such as vocabulary, content, or even formatting of the wider maturity model can be submitted as a separate issue.

The original examples are meant to help readers feel connected to the model aspects and levels. To see themselves in the model, and ideally to see examples of what they could experience if they were to invest in moving to another level within the model. These examples were curated by the group but are not attributed to any one company or exact scenario.

You proposed examples should be succinct summery of the way this specific aspect and level presented in your context. We recommend that you use a fairly neutral voice even when presenting challenges or successes. This maintains the tone that there is not "good" or "bad" maturity, but instead the "right" or "wrong" maturity _for you, at this time_. In addition, we encourage people to include their company name specifically if allowed, or some small context on the company for comparison (e.g. "a large multi-national bank" provides insight into size, regulation, and domain).

The current examples are mostly between 200-500 characters which may feel challenging at first. Reviewers can help you refine your words so don't stress too much but also be aware this will be the goal before merging. One way you can manage this is to link out to a separate blog which provides more details if that helps to narrow the focus of your example for this white paper.

## Asking for help

If you have any questions about this contribution type, your specific context, the technicalities of opening a PR, or really anything else, please [join the CNCF Slack](https://communityinviter.com/apps/cloud-native/cncf) and reach out to [#wg-platforms](https://cloud-native.slack.com/archives/C020RHD43BP).
